Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 478925 - Review Request: globus-gass-transfer - Globus Toolkit - Globus Gass Transfer
Summary: Review Request: globus-gass-transfer - Globus Toolkit - Globus Gass Transfer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gpt 453848 453851 467237 478921
Blocks: 478926
TreeView+ depends on / blocked
 
Reported: 2009-01-06 01:10 UTC by Mattias Ellert
Modified: 2009-06-04 21:19 UTC (History)
3 users (show)

Fixed In Version: 3.4-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-04 21:13:56 UTC
oget.fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-01-06 01:10:00 UTC
Spec URL: http://www.grid.tsl.uu.se/repos/globus/info/globus-gass-transfer.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gass-transfer-3.4-0.3.fc10.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gass-transfer package contains:
Globus Gass Transfer

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-common-devel >= 3
BuildRequires:	globus-io-devel >= 3
BuildRequires:	globus-gssapi-gsi-devel >= 4
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.

Applied patches submitted upstream:

Remove some doxygen warnings:
http://bugzilla.globus.org/bugzilla/show_bug.cgi?id=6591

Comment 1 Mattias Ellert 2009-03-16 00:02:12 UTC
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gass-transfer-3.4-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-gass-transfer.spec

Comment 2 Mattias Ellert 2009-04-17 13:45:17 UTC
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gass-transfer-3.4-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-gass-transfer.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus

Comment 3 Orcan Ogetbil 2009-05-30 23:36:54 UTC
Everything is okay with this one

- rpmlint
   globus-gass-transfer-devel.x86_64: W: no-documentation
can be ignored

- koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1385178

-------------------------------------------------------
This package (globus-gass-transfer) is APPROVED by oget
-------------------------------------------------------

Comment 4 Mattias Ellert 2009-05-31 06:17:26 UTC
Thank you for the review.

New Package CVS Request
=======================
Package Name: globus-gass-transfer
Short Description: Globus Toolkit - Globus Gass Transfer
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:

Comment 5 Jason Tibbitts 2009-05-31 20:15:54 UTC
CVS done.

Comment 6 Mattias Ellert 2009-06-01 07:06:22 UTC
Package available in devel.

Comment 7 Fedora Update System 2009-06-01 18:33:06 UTC
globus-gass-transfer-3.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-gass-transfer-3.4-1.fc10

Comment 8 Fedora Update System 2009-06-01 18:33:12 UTC
globus-gass-transfer-3.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gass-transfer-3.4-1.fc11

Comment 9 Fedora Update System 2009-06-01 18:33:16 UTC
globus-gass-transfer-3.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-gass-transfer-3.4-1.fc9

Comment 10 Fedora Update System 2009-06-04 21:13:52 UTC
globus-gass-transfer-3.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-06-04 21:18:48 UTC
globus-gass-transfer-3.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-06-04 21:19:10 UTC
globus-gass-transfer-3.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.